summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: bd07eb1)
raw | patch | inline | side by side (parent: bd07eb1)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 10 Jul 2007 12:56:49 +0000 (12:56 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 10 Jul 2007 12:56:49 +0000 (12:56 +0000) |
* Updated DEVEL guide
git-svn-id: https://oss.gonicus.de/repositories/gosa/branches/2.5@6811 594d385d-05f5-0310-b6e9-bd551577e9d8
git-svn-id: https://oss.gonicus.de/repositories/gosa/branches/2.5@6811 594d385d-05f5-0310-b6e9-bd551577e9d8
DEVEL | patch | blob | history | |
fix_config.sh | [new file with mode: 0755] | patch | blob |
index 76be99aa0f89b71756db9d7cade7972d0c47c9e9..47faf5f6d2e30d392810129d9c06959bd6ae8ecb 100644 (file)
--- a/DEVEL
+++ b/DEVEL
* How to get plugged in
-Lets explain how to create a simple GOsa plugin. The example shows a dummy plugin which is not
-directly related with LDAP. Independently of beeing an LDAP style or LDAP unrelated plugin, you
-may start a new plugin, by creating a new directory below the plugin directory structure. To be up to
-date, get a fresh SVN checkout:
+Independently of beeing an LDAP style or LDAP unrelated plugin, you may start a new plugin,
+by creating a new directory below the plugin directory structure. To be up to date, get a
+fresh SVN checkout:
Change to the directory which will contain your GOsa checkout, then get the source:
The gosa directory will contain your initial checkout now. In order to update from SVN
you simply can call "svn up".
-Now you've an up to date GOsa. Note that there may be most obviously something brokein if
-you use trunk. Continue by choosing a name and creating the directories:
+Now you've an up to date GOsa. Note that there may be most obviously something broken if
+you use trunk.
+
+
+* First example
+
+Lets explain how to create a simple GOsa plugin. The example shows a dummy plugin which is not
+directly related with LDAP.
# cd plugins/addons
# mkdir dummyplug && cd dummyplug
After logging into GOsa, you'll see your plugin in the addons section.
+
diff --git a/fix_config.sh b/fix_config.sh
--- /dev/null
+++ b/fix_config.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+CONF=/etc/gosa/gosa.conf
+cat << EOF
+
+This script will take your current $CONF and will update the menu and tab tags. It
+will not touch the parts you have touched between the main tabs. A backup copy is
+created.
+
+EOF
+read -n1 -sp "Do you want to continue? (y/n)" answer
+echo
+
+if [ "$answer" != "y" -a "$answer" != "Y" ]; then
+ echo "Aborted."
+ echo
+ exit 1
+fi
+
+if [ ! -f $CONF ]; then
+ echo "Can't find $CONF Aborted."
+ echo
+ exit 1
+fi
+
+cp $CONF $CONF.orig
+
+sed '/<main/,/\/main>/d;/<\/conf>/d' gosa.conf > $CONF
+sed -n '/<main/,/\/main>/p' $CONF.orig >> $CONF
+echo '</conf>' >> $CONF